Title: Loading default cacerts on client socket when specifying a default java truststore unnecessarily searches for more cacerts in the same dir
Type: Severity: normal
Components: Library Versions: Jython 2.7
Milestone: Jython 2.7.2
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: darjus, stefan.richthofer, teeohhem, zyasoft
Priority: Keywords:

Created on 2016-05-11.20:22:48 by teeohhem, last changed 2017-03-06.00:47:17 by darjus.

msg10858 (view) Author: Tom Alexander (teeohhem) Date: 2016-05-11.20:48:56
Proposed Patch:
msg11012 (view) Author: Stefan Richthofer (stefan.richthofer) Date: 2017-01-11.13:53:34
I am currently going through open PRs. However I don't have expertise in, so cannot really judge the solution. At least I tested it and on my system it didn't make regrtests worse.

@ darjus, Jim: Any concerns from you to accept the PR?
@ Tom: Did you sign the contributor agreement?
msg11187 (view) Author: Darjus Loktevic (darjus) Date: 2017-03-06.00:47:16
The change looks good. Tested with regrtest, pip and requests.

I've applied the patch and pushed. Sorry for the long delay on that.
Date User Action Args
2017-03-06 00:47:17darjussetstatus: open -> closed
resolution: accepted
messages: + msg11187
2017-01-11 13:53:35stefan.richthofersetnosy: + stefan.richthofer
messages: + msg11012
2016-09-14 16:19:57zyasoftsetmilestone: Jython 2.7.2
2016-05-11 20:48:56teeohhemsetmessages: + msg10858
2016-05-11 20:31:49zyasoftsetnosy: + zyasoft, darjus
2016-05-11 20:22:48teeohhemcreate